Class UmlDiagram

This class allows to manage extra class member, mainly defined fot C++
it allows to insert C++ pre-processor directive (even they may be placed
in the other member definition/declaration), to declare friend
operation/function etc...
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlDiagram : public UmlBaseDiagram
- Java : abstract class UmlDiagram extends UmlBaseDiagram

Directly inherited by : UmlBaseActivityDiagram UmlBaseClassDiagram UmlBaseCollaborationDiagram UmlBaseComponentDiagram UmlBaseDeploymentDiagram UmlBaseObjectDiagram UmlBaseSequenceDiagram UmlBaseStateDiagram UmlBaseUseCaseDiagram

Artifact : UmlDiagram

Operation UmlDiagram

Declaration :

- Uml : + UmlDiagram(in id : item_id, in n : string) :
- C++ : public: UmlDiagram(void * id, const QCString & n) : UmlBaseDiagram(id, n)
- Java : public UmlDiagram(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload